LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | Public Attributes | List of all members
XVBACompatibility Interface Reference

`import"XVBACompatibility.idl";`

## Public Member Functions
void | addVBAScriptListener ([in] XVBAScriptListener Listener)
void | removeVBAScriptListener ([in] XVBAScriptListener Listener)
void | broadcastVBAScriptEvent ([in] long Identifier, [in] string ModuleName)

## Public Attributes
boolean | VBACompatibilityMode
string | ProjectName
long | RunningVBAScripts

## Member Function Documentation

## ◆ addVBAScriptListener()

void addVBAScriptListener | ( | [in] XVBAScriptListener | Listener | ) |

## ◆ broadcastVBAScriptEvent()

void broadcastVBAScriptEvent | ( | [in] long | Identifier,
|  | [in] string | ModuleName
| ) |  |

## ◆ removeVBAScriptListener()

void removeVBAScriptListener | ( | [in] XVBAScriptListener | Listener | ) |

## Member Data Documentation

## ◆ ProjectName

string ProjectName
| attribute

## ◆ RunningVBAScripts

long RunningVBAScripts
| attribute readonly

## ◆ VBACompatibilityMode

boolean VBACompatibilityMode
| attribute

The documentation for this interface was generated from the following file:

- com/sun/star/script/vba/XVBACompatibility.idl